Subject: RE: USB configuration

From: Misbah khan <[email-masked]>
Date: Thu, 6 Dec 2007 21:07:08 -0800 (PST)

I have inserted a USB card reader, and the following dmesg it shows .....

-------------------------------------------------------------------------------
mpc8272ads: Init
PCI: Probing PCI hardware
PCI: Cannot allocate resource region 0 of device 0000:00:00.0
PCI: Cannot allocate resource region 1 of device 0000:00:00.0
SCSI subsystem initialized
Linux Kernel Card Services
  options:  [pci] [cardbus]
usbcore: registered new driver usbfs
usbcore: registered new driver hub
Serial: CPM driver $Revision: 0.01 $
ttyCPM0 at MMIO 0xf0011a00 (irq = 40) is a CPM UART
ttyCPM1 at MMIO 0xf0011a60 (irq = 43) is a CPM UART
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
loop: loaded (max 8 devices)
fs_enet.c:v1.0 (Aug 8, 2005)
fs_enet: eth0 Phy @ 0x0, type DM9161 (0x0181b881)
fs_enet: eth1 Phy @ 0x3, type DM9161 (0x0181b881)
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
st: Version 20041025, fixed bufsize 32768, s/g segs 256
osst :I: Tape driver with OnStream support version 0.99.1
osst :I: $Id: osst.c,v 1.70 2003/12/23 14:22:12 wriede Exp $
ohci_hcd: 2004 Nov 08 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ohci_hcd: block sizes: ed 64 td 64
drivers/usb/serial/usb-serial.c: USB Serial support registered for Generic
usbcore: registered new driver usbserial_generic
usbcore: registered new driver usbserial
drivers/usb/serial/usb-serial.c: USB Serial Driver core v2.0
NET: Registered protocol family 2
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 4096 bind 8192)
NET: Registered protocol family 1
NET: Registered protocol family 17
IP-Config: Complete:
      device=eth1, addr=192.168.33.136, mask=255.255.248.0,
gw=192.168.32.47,
     host=cashel, domain=, nis-domain=(none),
     bootserver=192.168.33.96, rootserver=192.168.33.96, rootpath=
Looking up port of RPC 100003/2 on 192.168.33.96
Looking up port of RPC 100005/1 on 192.168.33.96
VFS: Mounted root (nfs filesystem).
Freeing unused kernel memory: 104k init
--------------------------------------------------------------------------------------

This doesent gives me the clear explaination of whether USB is working
properly....

I would appreciate if you could share with me the basic steps to be followed
to confirm that the USB support that i had configured is being tested in all
aspects.

Misbah

Pedro Luis D. L. wrote:
> 
> 
> 
>> Date: Thu, 6 Dec 2007 05:27:14 -0800
>> From: [email-masked]
>> To: [email-masked]
>> Subject: USB configuration
>> 
>> 
>> HI all ...
> 
> Hi,
> 
>> I have configured the Montavista Kernel for USB support and for
>> PPC8272-ADS
>> board I need to know that how could i test that my USB is working ????
>> 
> 
> Try to attach an USB device, like a pendrive,  to an USB port. Then type: 
> dmesg | tail
> 
> If the USB support is working properly, you should see some output saying
> which device have you attached and where is it mapped.
> If you plug a memory stick, you can try to mount it and check that the
> filesystem is correct.
> 
> Pedro.
> 
>> Its creating the directory :- /proc/bus/usb/ but doesent contain any file
>> under it ????
>> 
>> 
>> its also creating the directory :- /sys/bus/usb/   but doesent contain
>> any
>> file under it ????
>> 
>> 
>> Please let me know the procedure to test whether my USB configuration is
>> all
>> right ????
>> 
>> Thank u 
>> Misbah <><
>> -- 
>> View this message in context:
>> http://www.nabble.com/USB-configuration-tf4956061.html#a14192347
>> Sent from the linuxppc-embedded mailing list archive at Nabble.com.
>> 
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> _________________________________________________________________
> Tecnología, moda, motor, viajes,…suscríbete a nuestros boletines para
> estar a la última
> http://newsletters.msn.com/hm/maintenanceeses.asp?L=ES&C=ES&P=WCMaintenance&Brand=WL&RU=http%3a%2f%2fmail.live.com
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/USB-configuration-tf4956061.html#a14206951
Sent from the linuxppc-embedded mailing list archive at Nabble.com.